NI Labs Toolkits

cancel
Showing results for 
Search instead for 
Did you mean: 

NI-DAQmx for myDAQ on Mac OS X

NI-DAQmx for myDAQ is a driver which provides native support for myDAQ in LabVIEW for Mac OS X.

System Requirements

LabVIEW 2013 or 2014

Mac OS X 10.7 (64-bit kernel only), 10.8, 10.9. Future versions are unsupported but we anticipate they will work. Please post with any issues you encounter.

Installation Instructions

  1. Download the NI DAQmx for myDAQ file at this link.
  2. Unzip the folder
  3. Run the NI-DAQmx for NI myDAQ.dmg file and follow the prompts

Examples and Getting Started

Please note that this driver only supports the NI-DAQmx API, not express VIs like the DAQ Assistant or ELVISmx VIs. We do have unsupported versions of most of the ELVISmx instruments with Mac OS X support in the myDAQ community. For further getting started information & FAQs, see this white paper.

Post any feedback and questions here.

Comments
Active Participant Active Participant
Active Participant
on

I just installed LabVIEW 2017 PDS for MacOSX on a MBP with MacOS 10.12.6 plus the newest VISA, GPIB and DAQmx Base. Now I wonder if the DAQmx for myDAQ driver would also work alright for this configuration. Could you please give me an input to this or refer to a download site for an appropriate installer!

 

Thank you!



Active Participant Active Participant
Active Participant
on

Alright, after almost half an year and the need to use the myDAQ with LV2017/2018 PDS on a brand new at the time MacOS 10.13.3 High Sierra machine I was able to run the DAQmx for LV/MacOS examples to work from there. My solution want as follows:

 

1.) Install with the newest DAQmx for MacOSX installer onto your machine.

2.) Open the NI myDAQ Test Panels by means of the System Preferences to see if the plugged in myDAQ is picked up and operable.

3.) To use the DAQmx functions in a higher version LabVIEW than the one it was then installed in, you need to copy the following files from the old to the new distribution:

 

From/to the folder vi.lib: DAQmx

From/to the folder resource/objmgr: daqmx.rc and daqmx.rch

From/to the folder Examples: DAQmx

From/to the folder menus/Categories/Measurement: _DAQmx and daqmx.mnu

 

With these files in place the myDAQ for MacOSX should be operable also under the most contemporary High Sierra MacOS version natively.

 

Happy wireworks

 

Urs

 



Member Member
Member
on

Dear all,

I quick email to let you know that myDAQ works on current OSX version (i.e. Mojave 10.14.6) via DAQmx (OSX)

The current setup is:
- MacMini 2018 with OSX 10.14.6
- myDAQ connected via the 27” Apple screen
- LabVIEW 2018 SP1f4
- DAQmx (OSX) edition March 2017

Steps:
- Install LV 2017-8
- Get myDAQ for OSX, be sure to get the **Mach 2017 edition**, the May 2014 edition won’t work!
** the link provided by NI points to the 2014 edition **
- Install myDAQ, it only knows LV 2014, so it will create "LV 2014" and "LV 2014 64-bits” folders
- Since LV 2017-8 is 64 bit only, you’ll have to copy the files below from "LV 2014 64-bits” folder to the corresponding LV 2018 folder, (LV is LabVIEW current folder)

LV/examples/DAQmx/
LV/help/html/lvdaqmx.chm/
LV/vi.lib/DAQmx/

LV/resource/objmgr/daqmx.rc
LV/resource/objmgr/daqmx.rch
LV/resource/objmgr/filter.vi

LV/menus/Categories/Measurement/_DAQmx/
LV/menus/Categories/Measurement/daqmx.mnu

Prebuilt myDAQ/Elvis applications for myDAQ OSX are here:

https://forums.ni.com/t5/myDAQ-Student-Projects/ELVISmx-Digital-Multimeter-DMM-for-Mac-OS-and-myDAQ/...
https://forums.ni.com/t5/myDAQ-Student-Projects/ELVISmx-Oscilloscope-for-Mac-OS-and-myDAQ/ta-p/35290...
https://forums.ni.com/t5/myDAQ-Student-Projects/ELVISmx-Digital-Reader-for-Mac-OS-and-myDAQ/ta-p/352...
https://forums.ni.com/t5/myDAQ-Student-Projects/ELVISmx-Bode-Analyzer-for-Mac-OS-and-myDAQ/ta-p/3528...
https://forums.ni.com/t5/myDAQ-Student-Projects/ELVISmx-Digital-Writer-for-Mac-OS-and-myDAQ/ta-p/352...
https://forums.ni.com/t5/myDAQ-Student-Projects/ELVISmx-Function-Generator-for-Mac-OS-and-myDAQ/ta-p...

Of course when you run these prebuilt (LV2013) software, OSX will inform you that the next OSX (Catalina) will not let you launch them since they are 32bit app!
NI needs to update them.

I hope this will save time for other.

Contributors